[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TNumericField.DisplayFormat

Format string for display of numerical data

## Declaration

Source position: db.pas line 561

`published property TNumericField.DisplayFormat : string read FDisplayFormat write SetDisplayFormat;`

## Description

DisplayFormat specifies a format string (such as used by the Format and FormatFloat functions) for display purposes: the TField.DisplayText property will use this property to format the field's value. Which formatting function (and, consequently, which format can be entered) is used depends on the descendent of the TNumericField class.

## See also

Format
FormatFloat
TField.DisplayText |  | Formatted field value
TNumericField.EditFormat |  | Format string for editing of numerical data